[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: latest aptitude upgrade fails



On 2008-06-22 15:37 +0200, Paul Cartwright wrote:

> Now it seems I am stuck somehwere in dependency h&ll..
> tried apt-get install -f and aptitude safe-upgrade and aptitue upgrade:
>
> Preconfiguring packages ...
> (Reading database ... 283155 files and directories currently installed.)
> Unpacking libavutil49 (from .../libavutil49_0.svn20080206-8_i386.deb) ...
> dpkg: error 
> processing /var/cache/apt/archives/libavutil49_0.svn20080206-8_i386.deb 
> (--unpack):
>  trying to overwrite `/usr/lib/libavutil.so.49', which is also in package 
> libavutilcvs49
> Unpacking libavcodec51 (from .../libavcodec51_0.svn20080206-8_i386.deb) ...
> dpkg: error 
> processing /var/cache/apt/archives/libavcodec51_0.svn20080206-8_i386.deb 
> (--unpack):
>  trying to overwrite `/usr/lib/libavcodec.so.51', which is also in package 
> libavcodeccvs51
> Unpacking libavformat52 (from .../libavformat52_0.svn20080206-8_i386.deb) ...
> dpkg: error 
> processing /var/cache/apt/archives/libavformat52_0.svn20080206-8_i386.deb 
> (--unpack):
>  trying to overwrite `/usr/lib/libavformat.so.52', which is also in package 
> libavformatcvs52
> Unpacking libpostproc51 (from .../libpostproc51_0.svn20080206-8_i386.deb) ...
> dpkg: error 
> processing /var/cache/apt/archives/libpostproc51_0.svn20080206-8_i386.deb 
> (--unpack):
>  trying to overwrite `/usr/lib/libpostproc.so.51.1.0', which is also in 
> package libpostproccvs51
> Unpacking libswscale0 (from .../libswscale0_0.svn20080206-8_i386.deb) ...
> dpkg: error 
> processing /var/cache/apt/archives/libswscale0_0.svn20080206-8_i386.deb 
> (--unpack):
>  trying to overwrite `/usr/lib/libswscale.so.0.5.0', which is also in package 
> libswscalecvs0
> Errors were encountered while processing:
>  /var/cache/apt/archives/libavutil49_0.svn20080206-8_i386.deb
>  /var/cache/apt/archives/libavcodec51_0.svn20080206-8_i386.deb
>  /var/cache/apt/archives/libavformat52_0.svn20080206-8_i386.deb
>  /var/cache/apt/archives/libpostproc51_0.svn20080206-8_i386.deb
>  /var/cache/apt/archives/libswscale0_0.svn20080206-8_i386.deb
> E: Sub-process /usr/bin/dpkg returned an error code (1)

Consider removing the offending lib*cvs* packages from the
debian-multimedia repository.

> do I just wait for newer packages??

See the instructions on http://www.debian-multimedia.org/.

Sven


Reply to: